# Delete Streaming Locator

> Media API · Streaming Locators

```http
DELETE https://app.mk.io/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}
```

Deletes the Streaming Locator. If the Streaming Locator does not exist, a 204 is returned same as if it does.
Once the Streaming Locator is deleted, all future requests to the path owned by the Streaming Locator will fail. If content is 
cached in a CDN, playback may continue to work for some time until the cached content expires.

RBAC Capability Required: `ams.streaminglocator.delete`

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `project_name` | string | Yes | — |
| `locator_name` | string | Yes | — |

## Example request

```bash
curl -X DELETE "https://app.mk.io/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — Streaming Locator deleted.

No response body.

### 204 — Nothing to delete.

No response body.

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `media-api` · operationId: `[delete]_/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}`
